/**
 * export class Client<ApiClient> {
 *   {members}
 * }
 */
export const create = (factory, members) => {
    return factory.ClassDeclaration.create({
        name: "Client",
        export: true,
        members,
        typeParameterDeclaration: [
            factory.TypeParameterDeclaration.create({
                name: "RequestOption",
            }),
        ],
    });
};
//# sourceMappingURL=Class.js.map