import ts from "typescript";
import type { OpenApi } from "../../../types";
import { Factory } from "../../TsGenerator";
import * as ConverterContext from "../ConverterContext";
import * as ToTypeNode from "../toTypeNode";
import type * as Walker from "../Walker";
import * as Reference from "./Reference";
import * as Response from "./Response";
export declare const generateNamespace: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, responses: Record<string, OpenApi.Response | OpenApi.Reference>, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateNamespaceWithStatusCode: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, parentPath: string, responses: OpenApi.Responses, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => void;
export declare const generateInterfacesWithStatusCode: (entryPoint: string, currentPoint: string, store: Walker.Store, factory: Factory.Type, operationId: string, responses: OpenApi.Responses, context: ToTypeNode.Context, converterContext: ConverterContext.Types) => ts.Statement[];
