import ts from "typescript";
export interface Params {
    text: string;
    rawText?: string;
}
export interface Factory {
    create: (params: Params) => ts.NoSubstitutionTemplateLiteral;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
