import ts from "typescript";
import type { CodeGenerator, OpenApi } from "../../types";
export declare class Parser {
    private entryPoint;
    private rootSchema;
    private currentPoint;
    private convertContext;
    private store;
    private factory;
    constructor(entryPoint: string, rootSchema: OpenApi.Document, noReferenceOpenApiSchema: OpenApi.Document);
    private initialize;
    getCodeGeneratorParamsArray(allowOperationIds?: string[]): CodeGenerator.Params[];
    getOpenApiTypeDefinitionStatements(): ts.Statement[];
    getAdditionalTypeStatements(): ts.Statement[];
}
