import ts from "typescript";
export interface Params$Create {
    export?: true;
    deprecated?: boolean;
    name: string;
    members: readonly ts.TypeElement[];
    typeParameters?: readonly ts.TypeParameterDeclaration[];
    comment?: string;
}
export interface Factory {
    create: (params: Params$Create) => ts.InterfaceDeclaration;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
